function sumret=GenCheckSumMatVec(mat,vec,sVar,sCaller)
% Check potential loss of precision during product of a matrix by  a vector
% See the supplementary information for a discussion of loss of precision.
% Returns the product of the matrix by the vector (mat * vec).
% A warning is issued if numerical problems are encountered
% (see GenCheckSumNumPb for more details).
% No check is performed if the global variable noCheckSum is defined
% and equal to true.
%
% Parameters:
% - mat: matrix [B x A]
% - vec: column vector [A x 1]
% - sVar: string describing the variable that is being calculated
% - sCaller: string describing the function in which the calculation is
%            performed
%
% Returns: mat * vec
%
% This file is part of the SPlaC v1.0 package (copyright 2008)
% Check the README file for further information

sumret=mat*vec; % [B x 1]

global noCheckSum;
if (isempty(noCheckSum) || ~noCheckSum)
    nNbRow=size(mat,1);
    summax=max(abs(mat.*repmat(transpose(vec),nNbRow,1)),[],2);
    GenCheckSumNumPb(sumret,summax,sVar,sCaller);
end