function realret=GenCheckSumReal(ar1,sVar,sCaller)
% Check potential loss of precision when taking the real part of elements of an array
% See the supplementary information for a discussion of loss of precision.
% Returns real(ar1), the real part of the array.
% A warning is issued if numerical problems are encountered
% (see GenCheckSumNumPb for more details).
% No check is performed if the global variable noCheckSum is defined
% and equal to true.
%
% Parameters:
% - ar1: scalar, vector, or matrix
% - sVar: string describing the variable that is being calculated
% - sCaller: string describing the function in which the calculation is
%            performed
%
% Returns: real(ar1)
%
% This file is part of the SPlaC v1.0 package (copyright 2008)
% Check the README file for further information

realret=real(ar1);

global noCheckSum;
if (isempty(noCheckSum) || ~noCheckSum)
    GenCheckSumNumPb(realret,ar1,sVar,sCaller);
end