function PwePlotQandM(stM)
% Plots the results of PweSolveSingleSphere or MulPweSolveMultiSphere as lambda-dependence of Q_ext, Q_sca, Q_abs, and MLocAve.
%
% Parameters:
% - stM: structure obtained from PweSolveSingleSphere or MulPweSolveMultiSphere 
%
% This file is part of the SPlaC v1.0 package (copyright 2008)
% Check the README file for further information

lambda=stM.lambda;

figure('Name','Q-coefficients and average LFIEF on surface');
plot(lambda,stM.Qext,'b',lambda,stM.Qsca,'k',lambda,stM.Qabs,'k:');
ax1 = gca;
set(ax1,'XColor','k','YColor','b')
set(get(ax1,'XLabel'),'String','Wavelength [nm]');
set(get(ax1,'YLabel'),'String','Q_{ext},Q_{sca},Q_{abs}');
legend({'Q_{ext}','Q_{sca}','Q_{abs}'});
title(['Mie for PWE: nNmax=' int2str(stM.nNmax) ', a=' num2str(stM.a) 'nm']);
ax2=axes('Position',get(ax1,'Position'),...
       'XAxisLocation','top','XColor','k', ...
       'YAxisLocation','right','Ycolor','r', ...
       'Color','none', ...
       'YScale','Log', ...
       'XTickLabel',{});
set(get(ax2,'Ylabel'),'String','Average LFIEF on surface');

line(lambda,stM.MLocAve,'Color','r');