% Example script to run the function PweFullMonty
% It produces 6 figures that illustrate the capabilities of the Mie
% codes for a single sphere under PWE.
% See the function PweFullMonty for more details.
%
% This file is part of the SPlaC v1.0 package (copyright 2008)
% Check the README file for further information

global noCheckSum;
noCheckSum=true;
% use 'clear all' or 'clear global noChecksum' to erase noCheckSum
% clear global noCheckSum; % same as noCheckSum=false;
% noCheckSum=false;

% N_{max}
nNmax=50;

% sphere radius in nm (scalar [1 x 1])
a=30;

% wavelengths in nm (column vector [L x 1])
lambda=transpose(300:1:600);  

% dielectric constant of outside medium (real positive scalar)
epsilonM=1.77; % water
%epsilonM=1.0; % air

% wavelength-dependent dielectric function of sphere material
% vector column, same size as lambda [L x 1]
epsilonIn=epsAg(lambda); % silver

nNbTheta=361;
% selected wavelengths for plots
lambda0=[432,373];
% Parameters to compute electric field everywhere at one wavelength
% (lambda0(1))
rMax=4*a;
nNbRout=300;
nNbRin=100;

[stM,stEsurf,stEfarSca,CstEmap]= ...
    PweFullMonty(nNmax,a,lambda,epsilonM,epsilonIn,lambda0,nNbTheta,rMax,nNbRout,nNbRin);